Subject: bug#25611: 26.0.50; dired-do-compress unpacks .tgz files

From: Mike Kupfer <[email-masked]>
Date: Mon, 06 Mar 2017 10:42:24 -0800

Glenn Morris wrote:

> [...] I do not expect a command that
> "compresses or uncompresses files" to extract a tar file. These should
> be separate steps/commands IMO. Exactly as you said in your initial
> report.

That would be my preference, too.  I'm just not sure how much of that
preference comes from mental inertia. :-) That's why my later emails
focused on the data loss and security angles.

If we do keep the extraction functionality, the docstring for
dired-do-compress definitely needs updating.

cheers,
mike